﻿namespace Connected.Data.Schema.Sql
{
    internal class IndexDescriptor
    {
        private List<string>? _columns;

        public bool Unique { get; set; }

        public string? Group { get; set; }

        public List<string> Columns => _columns ??= new List<string>();

        public override string ToString()
        {
            return string.IsNullOrWhiteSpace(Group) ? Columns[0] : Group;
        }
    }
}
